// NetworkProperties.h : header file
//

#if !defined(AFX_NETWORKPROPERTIES_H__A12B843F_AD7C_4767_938F_DFE89BD5E6EB__INCLUDED_)
#define AFX_NETWORKPROPERTIES_H__A12B843F_AD7C_4767_938F_DFE89BD5E6EB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "engine.h"
#include "nameserversdlg.h"


#undef DECL
#ifdef ENGINE_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif


/////////////////////////////////////////////////////////////////////////////
// CNetworkPropertiesDlg dialog

class DECL CNetworkPropertiesDlg : public TDialog
{
// Construction
public:
	CNetworkPropertiesDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNetworkPropertiesDlg)
	enum { IDD = IDD_NETWORK_PROPERTIES };
	int		m_iDHCPSelection;
	//}}AFX_DATA

   // Public properties. Set these before invoking DoModal(). Retrieve these 
   // when DoModal() returns IDOK. 
   bool UseDHCP;
   CString IPAddress;
   CString SubnetMask;
   CString DefaultGateway;
   CString PrimaryDNS;
   CString SecondaryDNS;
   CString PrimaryWINS;
   CString SecondaryWINS;

   CNameServersDlg dlgNameServers;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetworkPropertiesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNetworkPropertiesDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnBtnChangeDefaultGateway();
	afx_msg void OnBtnChangeIpAddress();
	afx_msg void OnBtnChangeSubnetMask();
	afx_msg void OnBtnNameServers();
	afx_msg void OnRadioDhcp();
	afx_msg void OnRadioSpecify();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETWORKPROPERTIES_H__A12B843F_AD7C_4767_938F_DFE89BD5E6EB__INCLUDED_)
